summaryrefslogtreecommitdiff
path: root/x11-misc/lightdm-base
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /x11-misc/lightdm-base
Added ebuilds for kogaion desktop
Diffstat (limited to 'x11-misc/lightdm-base')
-rw-r--r--x11-misc/lightdm-base/Manifest3
-rw-r--r--x11-misc/lightdm-base/files/README.gentoo11
-rw-r--r--x11-misc/lightdm-base/files/Xsession69
-rw-r--r--x11-misc/lightdm-base/files/lightdm8
-rw-r--r--x11-misc/lightdm-base/files/lightdm-1.7.7-session-wrapper.patch13
-rw-r--r--x11-misc/lightdm-base/files/lightdm-autologin6
-rw-r--r--x11-misc/lightdm-base/files/lightdm.service14
-rw-r--r--x11-misc/lightdm-base/files/session-wrapper-lightdm.patch13
-rw-r--r--x11-misc/lightdm-base/lightdm-base-1.4.0-r1.ebuild91
-rw-r--r--x11-misc/lightdm-base/lightdm-base-1.4.0.ebuild91
-rw-r--r--x11-misc/lightdm-base/lightdm-base-1.8.5-r2.ebuild98
-rw-r--r--x11-misc/lightdm-base/metadata.xml21
12 files changed, 438 insertions, 0 deletions
diff --git a/x11-misc/lightdm-base/Manifest b/x11-misc/lightdm-base/Manifest
new file mode 100644
index 00000000..f818f8d1
--- /dev/null
+++ b/x11-misc/lightdm-base/Manifest
@@ -0,0 +1,3 @@
+DIST introspection-20110205.m4.tar.bz2 1220 SHA256 4394a606d380ae5315872ede35387f104da5fad96794d29c45c444a9d481d8b2 SHA512 5c49239935b93d86cce68b577b43d1a56d8749ab5747029bfcfa67339697134be24ef29ba6c3d133b8c03e867864637c8eb61491a4b7f6bb1e56386ed66cb9be WHIRLPOOL 0765c0a72919b26d0c8c38714450eec578a347bfc1c59d4950b633b64b17aa1cde38dfb87fdcd6e2f364c98d6c0bd3dadaa9c2a9711bd1b5ac09a583b988f500
+DIST lightdm-1.4.0.tar.gz 660979 SHA256 3486a9f828864a78d452696cf6fef6e1dec2f4ef92a72e90ab37edf9a0824c43 SHA512 dedea48dbf2dde1a84c63691474b6452340b7ba5abd9793afb02f3ffcdb4d664432e3e4bbd6151bfb5861424c1063b42ca99989642b970b4a804ed8bfea6fb1e WHIRLPOOL 0def63f88e3f6ab810411bd51f53984d5cdb832faa81f33d0dd2243b774c06362d20d1c91d32c79f2630c8e543834ed3f5cf411c76843702ed997f60bad30212
+DIST lightdm-1.8.5.tar.xz 449024 SHA256 c1a55800628c7a683a529e32646eae4be32295a09af049c9b15387acff0232a2 SHA512 a3941560abe402b07e5595a6fb6bcbd9df36f775b07ac23c526a14c25c1bc2e9ce4e2f912354446111f58499d9df92c650b44b05dbd1e49b5207722d5bf7985f WHIRLPOOL aabc3adf3412b92b235fc8c2674d6807d5bf5c0714a73ac62b558decf779f98a5fbf9151ec00498c4ef3032b153d7735ca216d9451fdd11924f72dab77e7f4ef
diff --git a/x11-misc/lightdm-base/files/README.gentoo b/x11-misc/lightdm-base/files/README.gentoo
new file mode 100644
index 00000000..182f5308
--- /dev/null
+++ b/x11-misc/lightdm-base/files/README.gentoo
@@ -0,0 +1,11 @@
+
+ * Even though the default /etc/lightdm/lightdm.conf will work for
+ * most users, make sure you configure it to suit your needs
+ * before using lightdm for the first time.
+ * You can test the configuration file using the following
+ * command: lightdm --test-mode -c /etc/lightdm/lightdm.conf. This
+ * requires xorg-server to be built with the 'kdrive' useflag.
+ *
+ * You can also set your own default values for LIGHTDM_GREETER,
+ * LIGHTDM_SESSION, and LIGHTDM_USER in /etc/portage/make.conf
+
diff --git a/x11-misc/lightdm-base/files/Xsession b/x11-misc/lightdm-base/files/Xsession
new file mode 100644
index 00000000..5da041e6
--- /dev/null
+++ b/x11-misc/lightdm-base/files/Xsession
@@ -0,0 +1,69 @@
+#!/bin/sh
+#
+# LightDM wrapper to run around X sessions.
+
+echo "Running X session wrapper"
+
+# Load profile
+for file in "/etc/profile" "$HOME/.profile" "/etc/xprofile" "$HOME/.xprofile"; do
+ if [ -f "$file" ]; then
+ echo "Loading profile from $file";
+ . "$file"
+ fi
+done
+
+# Load resources
+for file in "/etc/X11/Xresources" "$HOME/.Xresources"; do
+ if [ -f "$file" ]; then
+ echo "Loading resource: $file"
+ xrdb -nocpp -merge "$file"
+ fi
+done
+
+# Load keymaps
+for file in "/etc/X11/Xkbmap" "$HOME/.Xkbmap"; do
+ if [ -f "$file" ]; then
+ echo "Loading keymap: $file"
+ setxkbmap `cat "$file"`
+ XKB_IN_USE=yes
+ fi
+done
+
+# Load xmodmap if not using XKB
+if [ -z "$XKB_IN_USE" ]; then
+ for file in "/etc/X11/Xmodmap" "$HOME/.Xmodmap"; do
+ if [ -f "$file" ]; then
+ echo "Loading modmap: $file"
+ xmodmap "$file"
+ fi
+ done
+fi
+
+unset XKB_IN_USE
+
+# Run all system xinitrc shell scripts.
+xinitdir="/etc/X11/xinit/xinitrc.d"
+if [ -d "$xinitdir" ]; then
+ for script in $xinitdir/*; do
+ echo "Loading xinit script $script"
+ if [ -x "$script" -a ! -d "$script" ]; then
+ . "$script"
+ fi
+ done
+fi
+
+# Load Xsession scripts
+xsessionddir="/etc/X11/Xsession.d"
+if [ -d "$xsessionddir" ]; then
+ for i in `ls $xsessionddir`; do
+ script="$xsessionddir/$i"
+ echo "Loading X session script $script"
+ if [ -r "$script" -a -f "$script" ] && expr "$i" : '^[[:alnum:]_-]\+$' > /dev/null; then
+ . "$script"
+ fi
+ done
+fi
+
+echo "X session wrapper complete, running session $@"
+
+exec $@
diff --git a/x11-misc/lightdm-base/files/lightdm b/x11-misc/lightdm-base/files/lightdm
new file mode 100644
index 00000000..6286d6ab
--- /dev/null
+++ b/x11-misc/lightdm-base/files/lightdm
@@ -0,0 +1,8 @@
+#%PAM-1.0
+auth optional pam_env.so
+auth include system-login
+auth required pam_nologin.so
+account include system-login
+password include system-login
+session optional pam_loginuid.so
+session include system-auth
diff --git a/x11-misc/lightdm-base/files/lightdm-1.7.7-session-wrapper.patch b/x11-misc/lightdm-base/files/lightdm-1.7.7-session-wrapper.patch
new file mode 100644
index 00000000..40b41597
--- /dev/null
+++ b/x11-misc/lightdm-base/files/lightdm-1.7.7-session-wrapper.patch
@@ -0,0 +1,13 @@
+Index: lightdm-1.7.7/data/lightdm.conf
+===================================================================
+--- lightdm-1.7.7.orig/data/lightdm.conf
++++ lightdm-1.7.7/data/lightdm.conf
+@@ -87,7 +87,7 @@
+ #user-session=default
+ #allow-guest=true
+ #guest-session=UNIMPLEMENTED
+-#session-wrapper=lightdm-session
++session-wrapper=/etc/lightdm/Xsession
+ #greeter-wrapper=
+ #display-setup-script=
+ #greeter-setup-script=
diff --git a/x11-misc/lightdm-base/files/lightdm-autologin b/x11-misc/lightdm-base/files/lightdm-autologin
new file mode 100644
index 00000000..decfba34
--- /dev/null
+++ b/x11-misc/lightdm-base/files/lightdm-autologin
@@ -0,0 +1,6 @@
+auth optional pam_env.so
+auth required pam_nologin.so
+auth required pam_permit.so
+
+account include system-local-login
+session include system-local-login
diff --git a/x11-misc/lightdm-base/files/lightdm.service b/x11-misc/lightdm-base/files/lightdm.service
new file mode 100644
index 00000000..7eb46ceb
--- /dev/null
+++ b/x11-misc/lightdm-base/files/lightdm.service
@@ -0,0 +1,14 @@
+[Unit]
+Description=Light Display Manager
+Documentation=man:lightdm(1)
+After=systemd-user-sessions.service
+
+[Service]
+ExecStart=/usr/sbin/lightdm
+StandardOutput=syslog
+Restart=always
+IgnoreSIGPIPE=no
+BusName=org.freedesktop.DisplayManager
+
+[Install]
+Alias=display-manager.service
diff --git a/x11-misc/lightdm-base/files/session-wrapper-lightdm.patch b/x11-misc/lightdm-base/files/session-wrapper-lightdm.patch
new file mode 100644
index 00000000..9f41816a
--- /dev/null
+++ b/x11-misc/lightdm-base/files/session-wrapper-lightdm.patch
@@ -0,0 +1,13 @@
+Index: lightdm-1.0.6/data/lightdm.conf
+===================================================================
+--- lightdm-1.0.6.orig/data/lightdm.conf
++++ lightdm-1.0.6/data/lightdm.conf
+@@ -65,7 +65,7 @@
+ #user-session=default
+ #allow-guest=true
+ #guest-session=UNIMPLEMENTED
+-#session-wrapper=lightdm-session
++session-wrapper=/etc/lightdm/Xsession
+ #display-setup-script=
+ #greeter-setup-script=
+ #session-setup-script=
diff --git a/x11-misc/lightdm-base/lightdm-base-1.4.0-r1.ebuild b/x11-misc/lightdm-base/lightdm-base-1.4.0-r1.ebuild
new file mode 100644
index 00000000..d45f2006
--- /dev/null
+++ b/x11-misc/lightdm-base/lightdm-base-1.4.0-r1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit autotools eutils pam readme.gentoo systemd
+
+TRUNK_VERSION="1.4"
+REAL_PN="${PN/-base}"
+REAL_P="${P/-base}"
+DESCRIPTION="A lightweight display manager, base libraries and programs"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/LightDM"
+SRC_URI="http://launchpad.net/${REAL_PN}/${TRUNK_VERSION}/${PV}/+download/${REAL_P}.tar.gz
+ mirror://gentoo/introspection-20110205.m4.tar.bz2"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="+introspection"
+S="${WORKDIR}/${REAL_P}"
+
+COMMON_DEPEND=">=dev-libs/glib-2.32.3:2
+ dev-libs/libxml2
+ sys-apps/accountsservice
+ virtual/pam
+ x11-libs/libX11
+ >=x11-libs/libxklavier-5
+ introspection? ( >=dev-libs/gobject-introspection-1 )"
+
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/pambase-20101024-r2"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+PDEPEND="app-admin/eselect-lightdm"
+
+DOCS=( NEWS )
+
+src_prepare() {
+ sed -i -e 's:getgroups:lightdm_&:' tests/src/libsystem.c || die #412369
+ sed -i -e '/minimum-uid/s:500:1000:' data/users.conf || die
+
+ epatch "${FILESDIR}"/session-wrapper-${REAL_PN}.patch
+ epatch_user
+
+ # Remove bogus Makefile statement. This needs to go upstream
+ sed -i /"@YELP_HELP_RULES@"/d help/Makefile.am || die
+ if has_version dev-libs/gobject-introspection; then
+ eautoreconf
+ else
+ AT_M4DIR=${WORKDIR} eautoreconf
+ fi
+}
+
+src_configure() {
+ # Set default values if global vars unset
+ local _user
+ _user=${LIGHTDM_USER:=root}
+ # Let user know how lightdm is configured
+ einfo "Rogentos configuration"
+ einfo "Greeter user: ${_user}"
+
+ econf \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-liblightdm-qt \
+ --with-greeter-user=${_user} \
+ $(use_enable introspection) \
+ --with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+
+ insinto /etc/${REAL_PN}
+ doins data/{${REAL_PN},keys}.conf
+ doins "${FILESDIR}"/Xsession
+ fperms +x /etc/${REAL_PN}/Xsession
+
+ prune_libtool_files --all
+ rm -rf "${ED}"/etc/init
+
+ pamd_mimic system-local-login ${REAL_PN} auth account session #372229
+ dopamd "${FILESDIR}"/${REAL_PN}-autologin #390863, #423163
+
+ readme.gentoo_create_doc
+
+ systemd_dounit "${FILESDIR}/lightdm.service"
+}
diff --git a/x11-misc/lightdm-base/lightdm-base-1.4.0.ebuild b/x11-misc/lightdm-base/lightdm-base-1.4.0.ebuild
new file mode 100644
index 00000000..6dbd5f7f
--- /dev/null
+++ b/x11-misc/lightdm-base/lightdm-base-1.4.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit autotools eutils pam readme.gentoo systemd
+
+TRUNK_VERSION="1.4"
+REAL_PN="${PN/-base}"
+REAL_P="${P/-base}"
+DESCRIPTION="A lightweight display manager, base libraries and programs"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/LightDM"
+SRC_URI="http://launchpad.net/${REAL_PN}/${TRUNK_VERSION}/${PV}/+download/${REAL_P}.tar.gz
+ mirror://gentoo/introspection-20110205.m4.tar.bz2"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="+introspection"
+S="${WORKDIR}/${REAL_P}"
+
+COMMON_DEPEND=">=dev-libs/glib-2.32.3:2
+ dev-libs/libxml2
+ sys-apps/accountsservice
+ virtual/pam
+ x11-libs/libX11
+ >=x11-libs/libxklavier-5
+ introspection? ( >=dev-libs/gobject-introspection-1 )"
+
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/pambase-20101024-r2"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+PDEPEND="app-admin/eselect-lightdm"
+
+DOCS=( NEWS )
+
+src_prepare() {
+ sed -i -e 's:getgroups:lightdm_&:' tests/src/libsystem.c || die #412369
+ sed -i -e '/minimum-uid/s:500:1000:' data/users.conf || die
+
+ epatch "${FILESDIR}"/session-wrapper-${REAL_PN}.patch
+ epatch_user
+
+ # Remove bogus Makefile statement. This needs to go upstream
+ sed -i /"@YELP_HELP_RULES@"/d help/Makefile.am || die
+ if has_version dev-libs/gobject-introspection; then
+ eautoreconf
+ else
+ AT_M4DIR=${WORKDIR} eautoreconf
+ fi
+}
+
+src_configure() {
+ # Set default values if global vars unset
+ local _user
+ _user=${LIGHTDM_USER:=root}
+ # Let user know how lightdm is configured
+ einfo "RogentOS configuration"
+ einfo "Greeter user: ${_user}"
+
+ econf \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-liblightdm-qt \
+ --with-greeter-user=${_user} \
+ $(use_enable introspection) \
+ --with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+
+ insinto /etc/${REAL_PN}
+ doins data/{${REAL_PN},keys}.conf
+ doins "${FILESDIR}"/Xsession
+ fperms +x /etc/${REAL_PN}/Xsession
+
+ prune_libtool_files --all
+ rm -rf "${ED}"/etc/init
+
+ pamd_mimic system-local-login ${REAL_PN} auth account session #372229
+ dopamd "${FILESDIR}"/${REAL_PN}-autologin #390863, #423163
+
+ readme.gentoo_create_doc
+
+ systemd_dounit "${FILESDIR}/lightdm.service"
+}
diff --git a/x11-misc/lightdm-base/lightdm-base-1.8.5-r2.ebuild b/x11-misc/lightdm-base/lightdm-base-1.8.5-r2.ebuild
new file mode 100644
index 00000000..fd43798d
--- /dev/null
+++ b/x11-misc/lightdm-base/lightdm-base-1.8.5-r2.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit autotools eutils pam readme.gentoo systemd
+
+TRUNK_VERSION="1.8"
+REAL_PN="${PN/-base}"
+REAL_P="${P/-base}"
+DESCRIPTION="A lightweight display manager, base libraries and programs"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/LightDM"
+SRC_URI="http://launchpad.net/${REAL_PN}/${TRUNK_VERSION}/${PV}/+download/${REAL_P}.tar.xz
+ mirror://gentoo/introspection-20110205.m4.tar.bz2"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="+introspection"
+S="${WORKDIR}/${REAL_P}"
+
+COMMON_DEPEND=">=dev-libs/glib-2.32.3:2
+ dev-libs/libxml2
+ sys-apps/accountsservice
+ virtual/pam
+ x11-libs/libX11
+ >=x11-libs/libxklavier-5
+ introspection? ( >=dev-libs/gobject-introspection-1 )"
+
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/pambase-20101024-r2"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+PDEPEND="app-admin/eselect-lightdm"
+
+DOCS=( NEWS )
+
+src_prepare() {
+ sed -i -e 's:getgroups:lightdm_&:' tests/src/libsystem.c || die #412369
+ sed -i -e '/minimum-uid/s:500:1000:' data/users.conf || die
+
+ epatch "${FILESDIR}"/lightdm-1.7.7-session-wrapper.patch
+ epatch_user
+
+ # Remove bogus Makefile statement. This needs to go upstream
+ sed -i /"@YELP_HELP_RULES@"/d help/Makefile.am || die
+ if has_version dev-libs/gobject-introspection; then
+ eautoreconf
+ else
+ AT_M4DIR=${WORKDIR} eautoreconf
+ fi
+}
+
+src_configure() {
+ # Set default values if global vars unset
+ local _user
+ _user=${LIGHTDM_USER:=root}
+ # Let user know how lightdm is configured
+ einfo "RogentOS configuration"
+ einfo "Greeter user: ${_user}"
+
+ econf \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-liblightdm-qt \
+ --with-greeter-user=${_user} \
+ $(use_enable introspection) \
+ --with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+ default
+
+ # Delete apparmor profiles because they only work with Ubuntu's
+ # apparmor package. Bug #494426
+ if [[ -d ${D}/etc/apparmor.d ]]; then
+ rm -r "${D}/etc/apparmor.d" || die \
+ "Failed to remove apparmor profiles"
+ fi
+
+ insinto /etc/${REAL_PN}
+ doins data/{${REAL_PN},keys}.conf
+ doins "${FILESDIR}"/Xsession
+ fperms +x /etc/${REAL_PN}/Xsession
+
+ prune_libtool_files --all
+ rm -rf "${ED}"/etc/init
+
+ pamd_mimic system-local-login ${REAL_PN} auth account session #372229
+ dopamd "${FILESDIR}"/${REAL_PN}-autologin #390863, #423163
+
+ readme.gentoo_create_doc
+
+ systemd_dounit "${FILESDIR}/${REAL_PN}.service"
+}
diff --git a/x11-misc/lightdm-base/metadata.xml b/x11-misc/lightdm-base/metadata.xml
new file mode 100644
index 00000000..f251fe5e
--- /dev/null
+++ b/x11-misc/lightdm-base/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>hwoarang@gentoo.org</email>
+ <name>Markos Chandras</name>
+</maintainer>
+<maintainer>
+ <email>yngwin@gentoo.org</email>
+ <name>Ben de Groot</name>
+</maintainer>
+<use>
+ <flag name="branding">Replace original gnome background with one from Gentoo ten project</flag>
+ <flag name="gtk">Pull in the gtk+ greeter</flag>
+ <flag name="introspection">Use dev-libs/gobject-introspection for introspection</flag>
+ <flag name="kde">Pull in the kde greeter</flag>
+ <flag name="razor">Pull in the razorqt greeter</flag>
+</use>
+<longdescription lang="en">
+</longdescription>
+</pkgmetadata>